{% extends "main-template.html" %}{% load static %}
{% block title %}Mantenedor Registro Pet Shop{% endblock %}
{% block content %}
<div class="modal-header d-block w-100 text-center">
    <h2><i class="fa-solid fa-user-tie"></i> Mantenedor de Clientes Registrados</h2>
</div>
<table class="table">
    <thead>
        <tr>
            <th class="align-middle text-center" scope="col">Codigo</th>
            <th class="align-middle text-center" scope="col">Email</th>
            <th class="align-middle text-center" scope="col">Contraseña</th>
            <th class="align-middle text-center" scope="col">Contraseña</th>
            <th class="align-middle text-center" scope="col">Nombres</th>
            <th class="align-middle text-center" scope="col">Apellidos</th>
            <th class="align-middle text-center" scope="col">RUN</th>
            <th class="align-middle text-center" scope="col">DV</th>
            <th class="align-middle text-center" scope="col">Dia Nacimiento</th>
            <th class="align-middle text-center" scope="col">Mes Nacimiento</th>
            <th class="align-middle text-center" scope="col">Año Nacimiento</th>
            <th class="align-middle text-center" scope="col">Region</th>
            <th class="align-middle text-center" scope="col">Comuna</th>
            <th class="align-middle text-center" scope="col">Ciudad</th>
        </tr>
    </thead>
    <tbody>
        {% for c in registros %}
            <tr>
                <th scope="row">{{c.codigo}}</th>
                    <td class="align-middle text-center">{{c.email}}</td>
                    <td class="align-middle text-center">{{c.contraseña}}</td>
                    <td class="align-middle text-center">{{c.rcontraseña}}</td>
                    <td class="align-middle text-center">{{c.nombres}}</td>
                    <td class="align-middle text-center">{{c.apellidos}}</td>
                    <td class="align-middle text-center">{{c.run}}</td>
                    <td class="align-middle text-center">{{c.dv}}</td>
                    <td class="align-middle text-center">{{c.dia_nacimiento}}</td>
                    <td class="align-middle text-center">{{c.mes_nacimiento}}</td>
                    <td class="align-middle text-center">{{c.anio_nacimiento}}</td>
                    <td class="align-middle text-center">{{c.region}}</td>
                    <td class="align-middle text-center">{{c.comuna}}</td>
                    <td class="align-middle text-center">{{c.ciudad}}</td>
                <td class="align-middle text-center"><button type="button" class="btn btn-danger" 
                        data-bs-toggle="modal" 
                        data-bs-target="#mdl-{{c.codigo}}"><i class="fa-regular fa-trash-can"></i>
                    </button>
                    <div id="mdl-{{c.codigo}}" class="modal" tabindex="-1">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Eliminar Usuario <b>#{{c.codigo}}</b></h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <p>¿Estas seguro que deseas eliminar el usuario <b>{{c.nombres}} {{ c.apellidos }}</b>?</p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                    <form method="GET" action="">
                                        <input name="codigo" value="{{c.codigo}}" hidden />
                                        <button type="submit" class="btn btn-danger">Eliminar</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                <!-- </td>
                <td> -->
                    <button type="button" class="btn btn-warning" 
                    data-bs-toggle="modal" 
                    data-bs-target="#mdl-update-{{c.codigo}}"><i class="fa-regular fa-pen-to-square"></i>
                </button>
                <div id="mdl-update-{{c.codigo}}" class="modal" tabindex="-1">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Actualizar Registro</h5>
                                <botton type="button" class="btn-close" data-bs-dismiss="modal" arial-label="Close">
                                </botton>
                            </div>
                            <div class="modal-body">
                                <form id="frm-contacto" method="POST" action="">{% csrf_token %}
                                    <div class="container" style="max-width:700px !important">
                                        <input type="txt-id" name="codigo" value="{{c.codigo}}" hidden>
                                        <div class="form-group row">
                                            <div class="col-sm-6">
                                                <label for="txt-email" class="form-label"></label>
                                                <input id="txt-email" name="email" value="{{c.email}}" class="form-control" placeholder="EMAIL" />        
                                            </div>
                                        </div> 
                                        <div class="form-group row">
                                            <div class="form-group col-sm-6">
                                                <label for="txt-pass1" class="form-label"></label>
                                                <input type="password" id="txt-pass1" name="contraseña" value="{{c.contraseña}}" class="form-control" placeholder="Contraseña" />
                                            </div>
                                            <div class="form-group col-sm-6">
                                                <label for="txt-pass2" class="form-label"></label>
                                                <input type="password" id="txt-pass2" name="rcontraseña" value="{{c.rcontraseña}}" class="form-control" placeholder="Repetir Contraseña" />
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="form-group col-sm-6">
                                                <label for="txt-nombres" class="form-label"></label>
                                                <input id="txt-nombres" name="nombres" value="{{c.nombres}}" class="form-control" placeholder="Nombres" />        
                                            </div>
                                            <div class="form-group col-sm-6">
                                                <label for="txt-apellidos" class="form-label"></label>
                                                <input id="txt-apellidos" name="apellidos" value="{{c.apellidos}}" class="form-control" placeholder="Apellidos" />        
                                            </div>   
                                        </div>
                                        <div class="form-group row">
                                            <div class="form-group col-sm-6">
                                                <label for="txt-rut" class="form-label"></label>
                                                <input id="txt-rut" name="run" value="{{c.run}}" disabled class="form-control" placeholder="RUT" />        
                                            </div>       
                                            <div class="col-sm-3">
                                                <label for="txt-dv" class="form-label"></label>
                                                <input id="txt-dv" name="dv" value="{{c.dv}}" disabled class="form-control" placeholder="DV" />        
                                            </div> 
                                        </div>
                                        <div class="form-group row">
                                            <div class="form-group col-sm-12">
                                                <br><span class="label">Fecha de Nacimiento</span>
                                            </div> 
                                            <div class="form-group col-md-6">
                                                <!-- <span class="label">Fecha de Nacimiento</span> -->
                                                <div class="form-group col-md-12">
                                                    <select id="txt-dia_nacimiento" name="dia_nacimiento" value="{{c.dia_nacimiento}}" class="form-control" >
                                                        <option value disabled selected>Día</option>
                                                        <option value="01">01</option>
                                                        <option value="02">02</option>
                                                        <option value="03">03</option>
                                                        <option value="04">04</option>
                                                        <option value="05">05</option>
                                                        <option value="06">06</option>
                                                        <option value="07">07</option>
                                                        <option value="08">08</option>
                                                        <option value="09">09</option>
                                                        <option value="10">10</option>
                                                        <option value="11">11</option>
                                                        <option value="12">12</option>
                                                        <option value="13">13</option>
                                                        <option value="14">14</option>
                                                        <option value="15">15</option>
                                                        <option value="16">16</option>
                                                        <option value="17">17</option>
                                                        <option value="18">18</option>
                                                        <option value="19">19</option>
                                                        <option value="20">20</option>
                                                        <option value="21">21</option>
                                                        <option value="22">22</option>
                                                        <option value="23">23</option>
                                                        <option value="24">24</option>
                                                        <option value="25">25</option>
                                                        <option value="26">26</option>
                                                        <option value="27">27</option>
                                                        <option value="28">28</option>
                                                        <option value="28">29</option>
                                                        <option value="30">30</option>
                                                        <option value="31">31</option>
                                                    </select>
                                                </div><br>
                                                <div class="form-group col-md-12">
                                                    <select id="txt-mes_nacimiento" name="mes_nacimiento" value="{{c.mes_nacimiento}}" class="form-control">
                                                        <option value disabled selected>Mes</option>
                                                        <option value="Enero">Enero</option>
                                                        <option value="Febrero">Febrero</option>
                                                        <option value="Marzo">Marzo</option>
                                                        <option value="Abril">Abril</option>
                                                        <option value="Mayo">Mayo</option>
                                                        <option value="Junio">Junio</option>
                                                        <option value="Julio">Julio</option>
                                                        <option value="Agosto">Agosto</option>
                                                        <option value="Septiembre">Septiembre</option>
                                                        <option value="Octubre">Octubre</option>
                                                        <option value="Noviembre">Noviembre</option>
                                                        <option value="Diciembre">Diciembre</option>
                                                    </select>
                                                </div><br>
                                                <div class="form-group col-md-12">
                                                    <select id="txt-anio_nacimiento" name="anio_nacimiento" value="{{c.anio_nacimiento}}" class="form-control">
                                                        <option value disabled selected>Año</option>
                                                        <option value="1990">1990</option>
                                                        <option value="1991">1991</option>
                                                        <option value="1992">1992</option>
                                                        <option value="1993">1993</option>
                                                        <option value="1994">1994</option>
                                                        <option value="1995">1995</option>
                                                        <option value="1996">1996</option>
                                                        <option value="1997">1997</option>
                                                        <option value="1998">1998</option>
                                                        <option value="1999">1999</option>
                                                        <option value="2000">2000</option>
                                                        <option value="2001">2001</option>
                                                        <option value="2002">2002</option>
                                                        <option value="2003">2003</option>
                                                        <option value="2004">2004</option>
                                                        <option value="2005">2005</option>
                                                        <option value="2006">2006</option>
                                                        <option value="2007">2007</option>
                                                        <option value="2008">2008</option>
                                                        <option value="2009">2009</option>
                                                        <option value="2010">2010</option>
                                                        <option value="2011">2011</option>
                                                        <option value="2012">2012</option>
                                                        <option value="2013">2013</option>
                                                        <option value="2014">2014</option>
                                                        <option value="2015">2015</option>
                                                        <option value="2016">2016</option>
                                                        <option value="2017">2017</option>
                                                        <option value="2018">2018</option>
                                                        <option value="2019">2019</option>
                                                        <option value="2020">2020</option>
                                                        <option value="2021">2021</option>
                                                        <option value="2022">2022</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div><br>   
                                        <div class="form-group row">
                                            <div class="form-group col-md-6">
                                                <select type="text" class="form-control user_province" name="region" value="{{c.region}}" id="txt-provinciaregistro">
                                                    <option value disabled selected>Región</option>
                                                    <option value="I Región de Tarapacá">I Tarapacá</option>
                                                    <option value="II Región de Antofagasta">II Antofagasta</option>
                                                    <option value="III Región de Atacama">III Atacama</option>
                                                    <option value="IV Región de Coquimbo">IV Coquimbo</option>
                                                    <option value="V Región de Valparaiso">V Valparaiso</option>
                                                    <option value="VI Región del Libertador General Bernardo Ohiggins">VI O'Higgins</option>
                                                    <option value="VII Región del Maule">VII Maule</option>
                                                    <option value="VIII Región del Bío-Bío">VIII Bío-Bío</option>
                                                    <option value="IX Región de La Araucanía">IX La Araucanía</option>
                                                    <option value="X Región de Los Lagos">X Los Lagos</option>
                                                    <option value="XI Región Aysén del General Carlos Ibáñez Del Campo">XI Aysén</option>
                                                    <option value="XII Región de Magallanes y la Antártica Chilena">XII Magallanes y Antártica</option>
                                                    <option value="XIII Región Metropolitana">XIII Metropolitana</option>
                                                    <option value="XIV Region de Los Ríos">XIV Los Ríos</option>
                                                    <option value="XV Región de Arica y Parinacota">XV Arica y Parinacota</option>
                                                    <option value="XVI Región de Ñuble">XVI Ñuble</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="form-group col-sm-6">
                                                <label for="txt-comuna" class="form-label"></label>
                                                <input id="txt-comuna" name="comuna" value="{{c.comuna}}" class="form-control" placeholder="Comuna" />
                                            </div>
                                            <div class="form-group col-sm-6">
                                                <label for="txt-ciudad" class="form-label"></label>
                                                <input id="txt-ciudad" name="ciudad" value="{{c.ciudad}}" class="form-control" placeholder="Ciudad" />
                                            </div>
                                        </div>
                                        <div class="form-group w-100 text-end">        
                                            <button type="submit" style="margin-top: 15px;" 
                                                            class=" col-sm-3 btn btn-primary"
                                                            >Actualizar</button>
                                        </div>         
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </td>
            </tr>
        {% endfor %}
    </tbody>
</table>

{% endblock %}